import { DestroyRef, NgZone, Signal, TemplateRef, ViewContainerRef } from '@angular/core';
import { IEnjoyHintOptions } from '../lib.interfaces';
import { EnjoyHintRef } from '../support/EnjoyHintRef';
import { Observable } from 'rxjs';
import { ConnectionPositionPair, FlexibleConnectedPositionStrategy, Overlay, OverlayPositionBuilder } from '@angular/cdk/overlay';
import * as i0 from "@angular/core";
export declare class EnjoyHintComponent {
    readonly ref: EnjoyHintRef;
    private readonly overlayPositionBuilder;
    private readonly overlay;
    private readonly viewContainerRef;
    private readonly destroyedRef;
    private readonly zone;
    instructions: TemplateRef<any>;
    readonly opacity: string;
    static readonly defaultOptions: IEnjoyHintOptions;
    readonly viewSize: Signal<{
        width: number;
        height: number;
    }>;
    readonly instructionsWidth: Signal<number>;
    readonly animating: import("@angular/core").WritableSignal<boolean>;
    readonly focusElement: Signal<HTMLElement | null>;
    readonly elementBounds: Signal<DOMRect>;
    readonly ffPositions: Signal<{
        left: {
            x: number;
            y: number;
        };
        right: {
            x: number;
            y: number;
        };
        top: {
            x: number;
            y: number;
        };
        bottom: {
            x: number;
            y: number;
        };
    }>;
    readonly step: Signal<import("../lib.interfaces").ITutorialStep | undefined>;
    readonly options: IEnjoyHintOptions;
    private overlayRef;
    readonly positionStrategy: Signal<import("@angular/cdk/overlay").GlobalPositionStrategy | FlexibleConnectedPositionStrategy>;
    readonly position: import("@angular/core").WritableSignal<ConnectionPositionPair | undefined>;
    thisIsDestroyed: Observable<void>;
    constructor(ref: EnjoyHintRef, window: Window, overlayPositionBuilder: OverlayPositionBuilder, overlay: Overlay, viewContainerRef: ViewContainerRef, destroyedRef: DestroyRef, zone: NgZone);
    createOverlay(): void;
    previous(): void;
    next(): void;
    skip(): void;
    close(result?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EnjoyHintComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EnjoyHintComponent, "lib-enjoyhint", never, {}, {}, never, never, true, never>;
}
