import { Elements } from './util/dom-helpers';
import { IEnjoyHintOptions, ITutorialStep } from './lib.interfaces';
import { Overlay } from '@angular/cdk/overlay';
import * as i0 from "@angular/core";
export declare class EnjoyHintService {
    private readonly overlay;
    private readonly elements;
    private readonly originalOverflow;
    /** @ignore */
    constructor(overlay: Overlay, elements: Elements, originalOverflow: string);
    /**
     * Run an interactive tutorial
     * @param steps the tutorial steps to run
     * @param options optional object to override the default behavior
     * @returns a promise resolving when the tutorial is closed; resolves to `true` if the tutorial was completed, `false` if it was skipped
     */
    runTutorial(steps: ITutorialStep[], options?: Partial<IEnjoyHintOptions>): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EnjoyHintService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EnjoyHintService>;
}
